//---------------------------------------------------------------------------
#ifndef NymRepBlksH
#define NymRepBlksH
//---------------------------------------------------------------------------

class TRListTxt : public TStringList
{
public:
   __fastcall virtual TRListTxt();
   __fastcall virtual TRListTxt(AnsiString RListTxtFile);
   __fastcall virtual TRListTxt(TStrings *RListTxt);
   __fastcall virtual~TRListTxt();
   // any function that takes 'nameaddress' can take either name or address
   bool __fastcall HasCap(AnsiString nameaddress, AnsiString &capinquestion);
   AnsiString __fastcall NameFromNameAddress(AnsiString &nameaddress);
   AnsiString __fastcall GetCapsFromNameAddress(AnsiString &nameaddress);
   AnsiString __fastcall GetNameFromAddress(AnsiString &address);
   AnsiString __fastcall GetAddressFromName(AnsiString &name);
   AnsiString __fastcall GetAddress(AnsiString &fromcapsline);
   bool __fastcall ValidRemailer(AnsiString &nameaddress);
   bool __fastcall InStats(AnsiString &nameaddress);
};

class TReplyBlockLeg : public TStringList
{
public:
   TRListTxt *rlist;
   __fastcall virtual TReplyBlockLeg();
   __fastcall virtual TReplyBlockLeg(TStrings *Leg);
   __fastcall virtual TReplyBlockLeg(int Pos, TStrings *ReplyBlock);
   __fastcall virtual~TReplyBlockLeg();
   bool __fastcall GetLeg(int Pos, TStrings *FromReplyBlock);
   AnsiString __fastcall RemailerName();
   AnsiString __fastcall Label();
   bool __fastcall LabelMatchesAnonTo();
   bool __fastcall ValidRemailer();
   bool __fastcall Valid();
};

class TReplyBlock : public TStringList
{
public:
   __fastcall virtual TReplyBlock();
   __fastcall virtual TReplyBlock(TStrings *ReplyBlock);
   __fastcall virtual TReplyBlock(int Pos, TStrings *FromNymProfile);
   __fastcall virtual~TReplyBlock();
   bool __fastcall GetBlock(int Pos, TStrings *FromNymProfile);
   bool __fastcall GetLeg(int Pos, TStrings *ToStrings);
   int  __fastcall LegCount();
};
//---------------------------------------------------------------------------
#endif
